# Uses of Class
org.apache.sling.servlethelpers.internalrequests.JakartaSlingInternalRequest

Packages that use JakartaSlingInternalRequest
Package
Description
org.apache.sling.servlethelpers.internalrequests
Helpers for internal Sling requests

## Uses of JakartaSlingInternalRequest in org.apache.sling.servlethelpers.internalrequests

Methods in org.apache.sling.servlethelpers.internalrequests that return JakartaSlingInternalRequest
Modifier and Type
Method
Description
`JakartaSlingInternalRequest`
JakartaSlingInternalRequest.`withResourceSuperType(String resourceSuperType)`
Sets the sling:resourceSuperType of the fake Resource used to resolve the Script or Servlet used for the internal request
`JakartaSlingInternalRequest`
JakartaSlingInternalRequest.`withResourceType(String resourceType)`
Sets the sling:resourceType of the fake Resource used to resolve the Script or Servlet used for the internal request